<?php
# 小程序基本配置
$config['type'] = 3;

$config['token'] = array
(
	'name' => '获取小程序的token',
	'method' => 'get',
	'json' => false,
	'url' => 'https://api.weixin.qq.com/cgi-bin/token?',
	'param' => array
	(
		'appid' => 'appid',
		'secret' => 'secret',
		'grant_type' => 'client_credential',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'access_token' => 'token',
		'expires_in' => 'expires_in',
	),
);

$config['send_msg'] = array
(
	'name' => '发送模板消息',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/message/wxopen/template/send?',
	'param' => array
	(
		'access_token' => 'token',
		'touser' => 'touser',
		'template_id' => 'template_id',
		'page' => 'page',
		'form_id' => 'form_id',
		'data' => 'data',
		'emphasis_keyword' => 'emphasis_keyword',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['get_msg'] = array
(
	'name' => '获取帐号下已存在的模板列表',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/wxopen/template/list?',
	'param' => array
	(
		'access_token' => 'token',
		'offset' => '0',
		'count' => '20',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['total_base'] = array
(
	'name' => '概况趋势',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getweanalysisappiddailysummarytrend?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['total_visit'] = array
(
	'name' => '访问趋势',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getweanalysisappiddailyvisittrend?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['code'] = array
(
	'name' => '获取小程序码',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/wxa/getwxacodeunlimit?',
	'param' => array
	(
		'access_token' => 'token',
		'scene' => 'param',
		'page' => 'path',
		'width' => 'width',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'img' => true,
	),
);

return $config;