<?php

$time = time()+(3600*24*7);
return array
(
	# 表名
	'name' => 'msg_form',
	# 显示给用户看的名称
	'lang' => '模板form_id收集表',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

		'openid'		=> array
		(
			'type' 		=> 'varchar-120',
			'name' 		=> '用户openid',
			'default' 	=> '',
			'desc' 		=> '用户openid',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'form_id'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> 'form_id',
			'default' 	=> '',
			'desc' 		=> 'form_id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'default' 	=> '',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'top' => Dever::config('base', 'applet')->top,

	'manage' => array
	(
		//'delete' => false,
		'insert' => false,
		'edit' => false,
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'project_id' => 'yes',
				'openid' => 'yes',
				'cdate' => array($time, '<='),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('cdate' => 'desc'),
			'limit' => '0,100',
			'col' => '*',
		),

		'getAllGroupByOpenid' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'project_id' => 'yes',
				'cdate' => array($time, '<='),
				'state' => 1,
			),
			'type' => 'all',
			'group' => 'openid',
			'order' => array('cdate' => 'desc'),
			'col' => '*',
		),
	),
);
