<?php
/**
 * tester
 */

$template = function()
{
	$array = array();
	$info = Dever::load('component_applet/template-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};

$page = function()
{
	$array = array();
	$info = Dever::load('component_applet/page-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};


return array
(
	# 表名
	'name' => 'tabbar',
	# 显示给用户看的名称
	'lang' => '底部菜单',
	'order' => 93,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '菜单名',
			'default' 	=> '',
			'desc' 		=> '菜单名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'edit'		=> true,
		),

		'template_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '小程序模板',
			'default' 	=> '1',
			'desc' 		=> '小程序模板',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'select',
			'option'	=> $template,
			'list'		=> true,
			'edit'		=> true,
			'control'	=> 'template_id',
		),

		/*
		'pagepath'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '菜单路径',
			'default' 	=> '',
			'desc' 		=> '菜单路径',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),
		*/

		'page_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '菜单页面',
			'default' 	=> '1',
			'desc' 		=> '菜单页面',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'search'	=> 'select',
			'option'	=> $page,
			'list'		=> true,
			'edit'		=> true,
			'show'	=> 'template_id=component/Core.getPageByTemplate?template=',
		),

		'iconpath'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '图标路径',
			'default' 	=> '',
			'desc' 		=> '图标路径',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'selectediconpath'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '选中图标路径',
			'default' 	=> '',
			'desc' 		=> '选中图标路径',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'top' => Dever::config('base', 'component')->top,

	'manage' => array
	(
		
	),
);
