<?php
/*
|--------------------------------------------------------------------------
| domain 服务域名设置
|--------------------------------------------------------------------------
*/
namespace Component\Applet\Src;

use Dever;
use Main\Lib\Wechat;
use Component\Src\Core;

class Domain extends Core
{
	public $table = 'component_applet/domain';

	public function value($info)
	{
		$list = Dever::db('component_applet/domain')->state(array('option_project_id' => $info['project_id']));
		$info['value'] = array();
		foreach ($list as $k => $v) {
			if (!in_array($v['value'], $info['value'])) {
				$info['value'][] = $v['value'];
			}
		}
		return $info['value'];
	}

	public function handle($oauth, $info, $delete, $user, $wechat)
	{
		$value = $this->value($info);
		$oauth['domain'] = $value;
		$oauth['method'] = 'applet_domain';
		return $oauth;
	}
}