<?php

namespace Main\Src;

use Dever;

class Data
{
    public function applet()
    {
        $host = Dever::config('base')->applet_content;

        if ($host) {
            $uphost = $host . 'data.applet_wechat';
            $host .= 'data.applet';

            $data = Dever::json_decode(Dever::curl($host));

            if ($data) {
                $data = $data['data'];
                foreach ($data as $k => $v) {
                    $update = array();
                    $update['appid'] = $v['appid'];
                    $update['name'] = $v['name'];
                    $update['secret'] = $v['secret'];
                    $update['key'] = 'null';
                    $update['token'] = 'null';
                    $update['type'] = 3;

                    $where = array();
                    $where['option_appid'] = $v['appid'];
                    $where['option_type'] = $update['type'];

                    $id = Dever::upinto('main/project', $where, $update);

                    if ($id > 0) {
                        Dever::curl($uphost, array('id' => $v['id'], 'wechat_project_id' => $id));
                    }
                }
            }
        }
    }
}
