<?php

$source = array
(
	0 => '其他合计',
	1 => '公众号搜索',
	17 => '名片分享',
	30 => '扫描二维码',
	43 => '图文页右上角菜单',
	51 => '支付后关注',
	57 => '图文页内公众号名称',
	75 => '公众号文章广告',
	78 => '朋友圈广告',
);
return array
(
	# 表名
	'name' => 'total_base',
	# 显示给用户看的名称
	'lang' => '统计概览',
	'order' => 20,
	'desc' => '请将total.cron加入到cron中',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> 'Dever::load("main/project-one#name", {project_id})',
		),
		
		'day'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '统计日期',
			'default' 	=> '',
			'desc' 		=> '统计日期',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'daynum'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '统计日期',
			'default' 	=> '',
			'desc' 		=> '统计日期',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'time',
			//'list'		=> true,
		),

		/*
		'user_source'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户的渠道',
			'default' 	=> '0',
			'match' 	=> '用户的渠道',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $source,
			'list'		=> true,
		),
		*/

		'new_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '新增的用户数量',
			'default' 	=> '0',
			'match' 	=> '新增的用户数量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'cancel_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '取消关注的用户数量',
			'default' 	=> '0',
			'match' 	=> '取消关注的用户数量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '净增用户数量',
			'default' 	=> '0',
			'match' 	=> '净增用户数量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'cumulate_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '总用户量',
			'default' 	=> '0',
			'match' 	=> '总用户量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'int_page_read_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '图文页的阅读人数',
			'default' 	=> '0',
			'match' 	=> '图文页的阅读人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'int_page_read_count'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '图文页的阅读次数',
			'default' 	=> '0',
			'match' 	=> '图文页的阅读次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'ori_page_read_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '原文页的阅读人数',
			'default' 	=> '0',
			'match' 	=> '原文页的阅读人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'ori_page_read_count'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '原文页的阅读次数',
			'default' 	=> '0',
			'match' 	=> '原文页的阅读次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'share_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享的人数',
			'default' 	=> '0',
			'match' 	=> '分享的人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'share_count'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '分享的次数',
			'default' 	=> '0',
			'match' 	=> '分享的次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'add_to_fav_user'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '收藏的人数',
			'default' 	=> '0',
			'match' 	=> '收藏的人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'add_to_fav_count'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '收藏的次数',
			'default' 	=> '0',
			'match' 	=> '收藏的次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
		'excel' => true,
		'button' => array
		(
			'下载昨日统计报表' => array('location', 'service/total.out'),
		),
	),

	'request' => array
	(
		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'day' => 'yes',
				'project_id' => array('yes', 'in'),
				'state' => 1,
			),
			'type' => 'all',
			'col' => '*',
		),
	),
);
