<?php

$type = array
(
	1 => '微信',
	2 => '微博',
);

$project = function()
{
	$array = array();
	$info = Dever::load('main/project-state');
	if($info)
	{
		$array += $info;
	}
	return $array;
};
return array
(
	# 表名
	'name' => 'reflux',
	# 显示给用户看的名称
	'lang' => '回流列表',
	'order' => 80,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'option'	=> $project,
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户ID',
			'default' 	=> '-1',
			'desc' 		=> '用户ID',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'url'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '分享地址',
			'default' 	=> '',
			'desc' 		=> '分享地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'ua'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '用户ua数据',
			'default' 	=> '',
			'desc' 		=> '用户ua数据',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',
		),

		'param'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '回流参数',
			'default' 	=> '',
			'desc' 		=> '回流参数',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'default' 	=> '',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'delete' => false,
		'insert' => false,
		'edit' => false,
		# 开启批量管理
		//'mul' => true,
	),
);
