<?php
/*
|--------------------------------------------------------------------------
| data.php 分享相关接口
|--------------------------------------------------------------------------
*/
namespace Share\Src;

use Dever;

class Api
{
	/**
     * 获取签名数据，主要用于jssdk
     * 
     * @return mixed
     */
	public function init()
	{
		return Dever::load('service/auth.sign');
	}

	/**
     * 分享数据
     * 
     * @return mixed
     */
	public function collect()
	{
		$data['project_id'] = Dever::input('project');
		$data['url'] = urldecode(Dever::input('url'));
		$data['actType'] = Dever::input('actType');
		$data['actResult'] = Dever::input('actResult');
		$data['ua'] = urldecode(Dever::input('ua'));
		$data['uid'] = Dever::input('uid');
		$data['type'] = Dever::input('type');

		$id = Dever::db('share/collect')->insert($data);

		return $id;
	}

	/**
     * 回流数据
     * 
     * @return mixed
     */
	public function reflux()
	{
		$data['project_id'] = Dever::input('project');
		$data['url'] = urldecode(Dever::input('url'));
		$data['param'] = urldecode(Dever::input('param'));
		$data['ua'] = urldecode(Dever::input('ua'));
		$data['uid'] = Dever::input('uid');
		$data['type'] = Dever::input('type');

		$id = Dever::db('share/reflux')->insert($data);

		return $id;
	}
}