<?php

return array
(
	# 表名
	'name' => 'msg',
	# 显示给用户看的名称
	'lang' => '模板消息列表',
	'order' => 100,
	'desc' => Dever::markdown('发送模板消息接口：'.Dever::url("applet/msg.send").'

		key：消息key
		project_id：项目id
		touser：用户openid
		page：页面路径
		data：内容
		form_id：表单id
	'),
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目ID',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-120',
			'name' 		=> '模板标题',
			'default' 	=> '',
			'desc' 		=> '模板标题',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'key'		=> array
		(
			'type' 		=> 'varchar-20',
			'name' 		=> '模板消息key-通过key值搜索数据',
			'default' 	=> '',
			'desc' 		=> '模板消息key-通过key值搜索数据',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'edit'		=> true,
		),

		'template_id'		=> array
		(
			'type' 		=> 'varchar-120',
			'name' 		=> '模板id',
			'default' 	=> '',
			'desc' 		=> '模板id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'list'		=> true,
		),

		'content'		=> array
		(
			'type' 		=> 'varchar-600',
			'name' 		=> '模板内容',
			'default' 	=> '',
			'desc' 		=> '模板内容',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'example'		=> array
		(
			'type' 		=> 'varchar-600',
			'name' 		=> '模板样例',
			'default' 	=> '',
			'desc' 		=> '模板样例',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '点此查看',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'default' 	=> '',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'top' => Dever::config('base', 'applet')->top,

	'manage' => array
	(
		//'delete' => false,
		'insert' => false,
		'edit' => false,

		'button' => array
		(
			'同步模板' => 'applet/msg.sync',
		),
	),
);
