<?php

return array
(
	# 表名
	'name' => 'total_base',
	# 显示给用户看的名称
	'lang' => '统计概览',
	'order' => 20,
	'desc' => '请将total.cron加入到cron中',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order',
			'order'		=> 'desc',
			//'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> 'Dever::load("main/project-one#name", {project_id})',
		),
		
		'day'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '统计日期',
			'default' 	=> '',
			'desc' 		=> '统计日期',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'daynum'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '统计日期',
			'default' 	=> '',
			'desc' 		=> '统计日期',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			//'search'	=> 'time',
			//'list'		=> true,
		),

		'session_cnt'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '打开次数',
			'default' 	=> '0',
			'match' 	=> '打开次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'visit_pv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '访问次数',
			'default' 	=> '0',
			'match' 	=> '访问次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'visit_uv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '访问人数',
			'default' 	=> '0',
			'match' 	=> '访问人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'visit_uv_new'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '新用户数',
			'default' 	=> '0',
			'match' 	=> '新用户数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'stay_time_uv'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '人均停留时长',
			'default' 	=> '0',
			'match' 	=> '人均停留时长',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'stay_time_session'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '次均停留时长',
			'default' 	=> '0',
			'match' 	=> '次均停留时长',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'visit_depth'		=> array
		(
			'type' 		=> 'varchar-30',
			'name' 		=> '平均访问深度',
			'default' 	=> '0',
			'match' 	=> '平均访问深度',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'visit_total'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '累计用户数',
			'default' 	=> '0',
			'match' 	=> '累计用户数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'share_pv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '转发次数',
			'default' 	=> '0',
			'match' 	=> '转发次数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'share_uv'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '转发人数',
			'default' 	=> '0',
			'match' 	=> '转发人数',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
	
	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
		'excel' => true,
		'button' => array
		(
			'下载昨日统计报表' => array('location', 'applet/total.out'),
		),
	),

	'request' => array
	(
		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'day' => 'yes',
				'project_id' => array('yes', 'in'),
				'state' => 1,
			),
			'type' => 'all',
			'col' => '*',
		),
	),
);
