<?php
/**
 * 小程序模板
 */

return array
(
	# 表名
	'name' => 'template',
	# 显示给用户看的名称
	'lang' => '小程序模板',
	'order' => 98,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '模板名',
			'default' 	=> '',
			'desc' 		=> '模板名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'template'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '模板id-暂时手动填写，小程序模板id+1就是这个模板id',
			'default' 	=> '',
			'desc' 		=> '模板id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'edit'		=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '描述',
			'default' 	=> '',
			'desc' 		=> '描述',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'top' => Dever::config('base', 'component')->top,

	'manage' => array
	(
		
	),
);
