<?php
# 公众号基本配置
$config['type'] = 2;

$config['token'] = array
(
	'name' => '获取公众号的token',
	'method' => 'get',
	'json' => false,
	'url' => 'https://api.weixin.qq.com/cgi-bin/token?',
	'param' => array
	(
		'appid' => 'appid',
		'secret' => 'secret',
		'grant_type' => 'client_credential',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'access_token' => 'token',
		'expires_in' => 'expires_in',
	),
);

$config['ticket'] = array
(
	'name' => '获取公众号的ticket',
	'method' => 'get',
	'json' => false,
	'url' => 'https://api.weixin.qq.com/cgi-bin/ticket/getticket?',
	'param' => array
	(
		'type' => 'jsapi',
		'access_token' => 'token',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'jsapi_ticket' => 'ticket',
		'expires_in' => 'expires_in',
	),
);

$config['batchget_material'] = array
(
	'name' => '获取素材列表',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/material/batchget_material?',
	'param' => array
	(
		'access_token' => 'token',
		'type' => 'news',
		'offset' => 'offset',
		'count' => 'count',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['get_material'] = array
(
	'name' => '获取永久素材',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/material/get_material?',
	'param' => array
	(
		'access_token' => 'token',
		'media_id' => 'media_id',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['getusersummary'] = array
(
	'name' => '获取用户增减数据',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getusersummary?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['getusercumulate'] = array
(
	'name' => '获取累计用户数据',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getusercumulate?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['getarticlesummary'] = array
(
	'name' => '获取图文群发每日数据',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getarticlesummary?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['getuserread'] = array
(
	'name' => '获取图文统计数据',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getuserread?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

return $config;